Google Web Toolkit (Beta)
Search this site:

# Class InvocationException

public class InvocationException
extends RuntimeException
// Superclass of `ServiceDefTarget.NoServiceEntryPointSpecifiedException`
Occurs when a service invocation did not complete cleanly.

A service invocation completes cleanly if

1. A response is returned from the service, or
2. An exception generated within the service is successfully received and re-thrown in the client.

A service invocation can fail to complete cleanly for many reasons, including

1. The network connection to the server is unavailable
2. The host web server is not available
3. The server is not available

Note that it is possible for this exception to be thrown even if the service was invoked successfully on the server. This could be the case, for example, if a network failure happened after the invocation request was sent but before the response was received.

## Constructors

InvocationException(String) | Constructs an exception with the given description.
InvocationException(String, Throwable) | Constructs an exception with the given description and cause.

## Constructor Detail

### InvocationException

public InvocationException(String s)
Constructs an exception with the given description.

#### Parameters

s
  the exception's description.

### InvocationException

public InvocationException(String s, Throwable cause)
Constructs an exception with the given description and cause.

#### Parameters

s
  the exception's description.
cause
  the exception's cause.